Bug 697802

Summary: Virtual Machines Freeze on boot under various circumstances
Product: [Fedora] Fedora Reporter: Honza Horak <hhorak>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: aquini, berrange, clalance, crobinso, ejacobs, hbrock, itamar, jforbes, laine, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-06 20:12:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Honza Horak 2011-04-19 06:28:30 EDT
Description of problem:
Sometimes it happens, that virtual machine freezes during grub is executed (no matter if I interact with it or keep it going by default). The screen freezes and there is no respond to any key stroke, mouse click, even the use of "Ctrl + Alt + Del" chosen from the menu - none of that does anything. 

The only way to restart the machine is to choose "Force Off" (Restart, or Shut Down don't work neither).

I mostly have RHEL5 installed on my virtual machine, but I think I've seen it on machine with Fedora 15, too. What I know exactly - both systems were installed from iso.

Version-Release number of selected component (if applicable):
rpm -q virt-manager
virt-manager-0.8.7-3.fc15.noarch
rpm -q libvirt
libvirt-0.8.8-4.fc15.x86_64


How reproducible:
Sometimes

Steps to Reproduce:
1. Install e.g. RHEL 5 on virtual machine
2. Try to launch it several times
3. See the boot process (grub)
  
Actual results:
virtual machine freezes sometimes

Expected results:
virtual machine boots without freeze

Additional info:
I'm unfortunately not able to reproduce this failure on request, because it happens only sometimes (approx. in one of ten boot). And I don't see any relation with actions I do with the machine or system.
If you need any additional info or some logs, please, let me know.
Comment 1 Honza Horak 2011-04-27 08:14:59 EDT
Now I can reproduce it during F15 is booting in VM. If I press key_down during count down of grub (it stops count down and displays grub menu), VM freezes when grub menu is displayed. If I press some other key, grub continues without problems.
Comment 2 Erik M Jacobs 2011-07-01 09:18:59 EDT
libvirt.i686                                          0.8.8-4.fc15                                  @anaconda-InstallationRepo-201105131946.i686
libvirt-client.i686                                   0.8.8-4.fc15                                  @anaconda-InstallationRepo-201105131946.i686
libvirt-python.i686                                   0.8.8-4.fc15                                  @anaconda-InstallationRepo-201105131946.i686
python-virtinst.noarch                                0.500.6-2.fc15                                @anaconda-InstallationRepo-201105131946.i686
python-virtkey.i686                                   0.50-9.fc15                                   @anaconda-InstallationRepo-201105131946.i686
virt-manager.noarch                                   0.8.7-4.fc15

I am noticing this problem in multiple ways.

1) When trying to do things inside the grub screen, the VM will frequently become unresponsive/frozen.

2) When enabling the "boot menu", typically the boot menu itself will become unresponsive/frozen.  In other words, pressing F12 will get you into the boot menu, but at that point the VM is unresponsive/frozen.

I have not tried connecting to a serial console.  This has all been with virt-manager's VNC GUI.  I'm also noticing an issue where using mutliple CPUs/cores creates a system that never boots and uses incredibly high CPU.

Please note that the original filer is on x86_64 and I am on i686, so I do not believe this problem is necessarily isolated.

Please let me know of any other information needed.  Happy to test.
Comment 3 Erik M Jacobs 2011-07-22 23:45:20 EDT
Still occurs:
libvirt.i686 0.8.8-7.fc15
libvirt-client.i686 0.8.8-7.fc15                               
libvirt-python.i686 0.8.8-7.fc15            
python-virtinst.noarch 0.500.6-2.fc15
python-virtkey.i686 0.50-9.fc15
virt-manager.noarch 0.8.7-4.fc15
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 13:52:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-09-22 13:54:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:01:01 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:01:04 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:06:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-11-30 15:06:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Cole Robinson 2012-06-06 20:12:36 EDT
Sorry for the general lack of response, but since F15 is very close to EOL, closing this as WONTFIX. If anyone can still reliably reproduce this issue on F16 or higher, please reopen.
Comment 11 Erik M Jacobs 2012-06-11 08:00:52 EDT
No problem. I need to update one of my machines for the EOL anyway.  At that time I'll do some testing and see if I can reproduce.